petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCoarsenApply

Gets a coarsen for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenApply(MatCoarsen coarser)

Collective on MatCoarsen

### Input Parameter

coarsen -the coarsen

### Options Database Keys

To specify the coarsen through the options database, use one of the following

       -mat_coarsen_type mis

To see the coarsen result

       -mat_coarsen_view

Notes: Use MatCoarsenGetData() to access the results of the coarsening

The user can define additional coarsens; see MatCoarsenRegister().

### Keywords

matrix, get, coarsen

### See Also

MatCoarsenRegister(), MatCoarsenCreate(),
MatCoarsenDestroy(), MatCoarsenSetAdjacency(), ISCoarsenToNumbering(), ISCoarsenCount(), MatCoarsenGetData()

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages